Package com.android.server.os

# Class LinphoneTombstoneProtos.LogMessage.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.LogMessage,LinphoneTombstoneProtos.LogMessage.Builder>
com.android.server.os.LinphoneTombstoneProtos.LogMessage.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.LogMessageOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.LogMessage

public static final class LinphoneTombstoneProtos.LogMessage.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.LogMessage,LinphoneTombstoneProtos.LogMessage.Builder> implements LinphoneTombstoneProtos.LogMessageOrBuilder
Protobuf type `LogMessage`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.LogMessage.Builder`
`clearMessage()`
`string message = 6;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`clearPid()`
`uint32 pid = 2;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`clearPriority()`
`uint32 priority = 4;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`clearTag()`
`string tag = 5;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`clearTid()`
`uint32 tid = 3;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`clearTimestamp()`
`string timestamp = 1;`
`String`
`getMessage()`
`string message = 6;`
`com.google.protobuf.ByteString`
`getMessageBytes()`
`string message = 6;`
`int`
`getPid()`
`uint32 pid = 2;`
`int`
`getPriority()`
`uint32 priority = 4;`
`String`
`getTag()`
`string tag = 5;`
`com.google.protobuf.ByteString`
`getTagBytes()`
`string tag = 5;`
`int`
`getTid()`
`uint32 tid = 3;`
`String`
`getTimestamp()`
`string timestamp = 1;`
`com.google.protobuf.ByteString`
`getTimestampBytes()`
`string timestamp = 1;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setMessage(String value)`
`string message = 6;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setMessageBytes(com.google.protobuf.ByteString value)`
`string message = 6;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setPid(int value)`
`uint32 pid = 2;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setPriority(int value)`
`uint32 priority = 4;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setTag(String value)`
`string tag = 5;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setTagBytes(com.google.protobuf.ByteString value)`
`string tag = 5;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setTid(int value)`
`uint32 tid = 3;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setTimestamp(String value)`
`string timestamp = 1;`
`LinphoneTombstoneProtos.LogMessage.Builder`
`setTimestampBytes(com.google.protobuf.ByteString value)`
`string timestamp = 1;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getTimestamp

public String getTimestamp()
`string timestamp = 1;`

Specified by:
  `getTimestamp` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The timestamp.

### getTimestampBytes

public com.google.protobuf.ByteString getTimestampBytes()
`string timestamp = 1;`

Specified by:
  `getTimestampBytes` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The bytes for timestamp.

### setTimestamp

public LinphoneTombstoneProtos.LogMessage.Builder setTimestamp(String value)
`string timestamp = 1;`

Parameters:
  `value` - The timestamp to set.
Returns:
  This builder for chaining.

### clearTimestamp

public LinphoneTombstoneProtos.LogMessage.Builder clearTimestamp()
`string timestamp = 1;`

Returns:
  This builder for chaining.

### setTimestampBytes

public LinphoneTombstoneProtos.LogMessage.Builder setTimestampBytes(com.google.protobuf.ByteString value)
`string timestamp = 1;`

Parameters:
  `value` - The bytes for timestamp to set.
Returns:
  This builder for chaining.

### getPid

public int getPid()
`uint32 pid = 2;`

Specified by:
  `getPid` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The pid.

### setPid

public LinphoneTombstoneProtos.LogMessage.Builder setPid(int value)
`uint32 pid = 2;`

Parameters:
  `value` - The pid to set.
Returns:
  This builder for chaining.

### clearPid

public LinphoneTombstoneProtos.LogMessage.Builder clearPid()
`uint32 pid = 2;`

Returns:
  This builder for chaining.

### getTid

public int getTid()
`uint32 tid = 3;`

Specified by:
  `getTid` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The tid.

### setTid

public LinphoneTombstoneProtos.LogMessage.Builder setTid(int value)
`uint32 tid = 3;`

Parameters:
  `value` - The tid to set.
Returns:
  This builder for chaining.

### clearTid

public LinphoneTombstoneProtos.LogMessage.Builder clearTid()
`uint32 tid = 3;`

Returns:
  This builder for chaining.

### getPriority

public int getPriority()
`uint32 priority = 4;`

Specified by:
  `getPriority` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The priority.

### setPriority

public LinphoneTombstoneProtos.LogMessage.Builder setPriority(int value)
`uint32 priority = 4;`

Parameters:
  `value` - The priority to set.
Returns:
  This builder for chaining.

### clearPriority

public LinphoneTombstoneProtos.LogMessage.Builder clearPriority()
`uint32 priority = 4;`

Returns:
  This builder for chaining.

### getTag

public String getTag()
`string tag = 5;`

Specified by:
  `getTag` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The tag.

### getTagBytes

public com.google.protobuf.ByteString getTagBytes()
`string tag = 5;`

Specified by:
  `getTagBytes` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The bytes for tag.

### setTag

public LinphoneTombstoneProtos.LogMessage.Builder setTag(String value)
`string tag = 5;`

Parameters:
  `value` - The tag to set.
Returns:
  This builder for chaining.

### clearTag

public LinphoneTombstoneProtos.LogMessage.Builder clearTag()
`string tag = 5;`

Returns:
  This builder for chaining.

### setTagBytes

public LinphoneTombstoneProtos.LogMessage.Builder setTagBytes(com.google.protobuf.ByteString value)
`string tag = 5;`

Parameters:
  `value` - The bytes for tag to set.
Returns:
  This builder for chaining.

### getMessage

public String getMessage()
`string message = 6;`

Specified by:
  `getMessage` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The message.

### getMessageBytes

public com.google.protobuf.ByteString getMessageBytes()
`string message = 6;`

Specified by:
  `getMessageBytes` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The bytes for message.

### setMessage

public LinphoneTombstoneProtos.LogMessage.Builder setMessage(String value)
`string message = 6;`

Parameters:
  `value` - The message to set.
Returns:
  This builder for chaining.

### clearMessage

public LinphoneTombstoneProtos.LogMessage.Builder clearMessage()
`string message = 6;`

Returns:
  This builder for chaining.

### setMessageBytes

public LinphoneTombstoneProtos.LogMessage.Builder setMessageBytes(com.google.protobuf.ByteString value)
`string message = 6;`

Parameters:
  `value` - The bytes for message to set.
Returns:
  This builder for chaining.